Get visibility setup
curl --request GET \
--url https://services.deepsmith.ai/core/api/external/v1/visibility/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.deepsmith.ai/core/api/external/v1/visibility/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.deepsmith.ai/core/api/external/v1/visibility/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"messages": "<string>",
"data": {
"brand": {
"brand_name": "<string>",
"brand_domain": "<string>",
"brand_variants": [
"<string>"
],
"schedule": {
"days": [
123
],
"hour": 123
},
"is_configured": true,
"next_collection_at": "2023-11-07T05:31:56Z"
},
"competitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"icon": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"order": 123,
"prompt_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"platforms": [
"chatgpt"
]
}
}{
"code": 4022,
"messages": "Invalid, revoked or expired API key.",
"data": null
}{
"code": 4023,
"messages": "This API key does not have the scope required for this request.",
"data": {
"required": [
"visibility:read"
],
"missing": [
"visibility:read"
]
}
}AI visibility
Get visibility setup
Brand settings, tracked competitors, prompt categories and the AI platforms your plan collects from.
Use it to look up competitor and category IDs. Requires visibility:read.
GET
/
visibility
/
setup
Get visibility setup
